Can I install homebrew on Wii 4.3?

Discussion in 'Wii - Hacking' started by sfulla31, Jul 1, 2010.

  1. sfulla31
    OP

    sfulla31 Member

    Newcomer
    45
    0
    Nov 28, 2009
    BIRMINGHAM
    A friend of mine has came to me with their Wii which they have already updated to 4.3 E, as of yet there wii has not been "hacked" in any way but they want to now install the Homebrew Channel, is this possible??? If its not then they would like at least a disc loader channel such as neo gamma, any help on this would be greatly appreciated.
     


  2. metamaster

    metamaster GBAtemp Advanced Fan

    Member
    876
    3
    Mar 7, 2010
    Canada
  3. SifJar

    SifJar Not a pirate

    Member
    6,022
    892
    Apr 4, 2009
    Yeah, it should be completely possible.

    Here's how:

    Install the OLDEST revision of IOS41 (get with NUSD, install with WAD Manager)
    Run TBR, choose to run on IOS41 and downgrade IOS15
    Reload TBR, choose to run on IOS15, patch IOS36 with all patches and install to IOS36 or IOS236, your choice
    Reload TBR one last time, choose to run on IOS36 and upgrade IOS15
    Run dop-Mii and choose to run on IOS36/IOS236, wherever you installed patched IOS36
    Choose to install IOS34, and install v3348
    Run the priiloader installer and install Priiloader
    Get the 4.3x hacks.ini, and install the "No Delete RDZx, HAXX, DVDX, JODI, DISK, DISC" hack
    Run HackMii Installer and install HBC and DVDx
    Voila, Wii is hacked.
    (Optional) Update IOS34 to its latest revision (I think this must be done manually with NUSD and WAD Manager, and is advisable)

    You'll need to run everything via Indiana Pwns or Smash Stack. As you need to run various tools etc, I advise using LoadMii as boot.elf on root of card, and then use it to run various apps.

    Finally, I have not tested this method personally, but to the best of my knowledge it should work fine.

    EDIT: If you're unsure about any steps, don't try to follow the guide.
     
  4. metamaster

    metamaster GBAtemp Advanced Fan

    Member
    876
    3
    Mar 7, 2010
    Canada
    I think he never hacked a wii before, you should be a bit more thorough with your guild. (NUSD)
     
  5. sfulla31
    OP

    sfulla31 Member

    Newcomer
    45
    0
    Nov 28, 2009
    BIRMINGHAM
    I hacked my own wii but it was 4.0 I believe, I followed a guide which i found on this site and it was fool proof really, Im just a bit stuck now, when I done my own I was dead proud ov myself, thought I was a bit clever if im honest and told my mate I should be able to help them out....then this 4.3 update has arrived andput me back to square 1!!

    so sifjar, as much as I appreciate your help your post was clear as mud really mate, cheers though
     
  6. SifJar

    SifJar Not a pirate

    Member
    6,022
    892
    Apr 4, 2009
    I sort of purposefully didn't go out of my way to make it simple to follow (not trying to be nasty though [​IMG]). Its untested, and probably not a good idea, as there are quite a few steps, each of which has the potential to go wrong, so I don't want to be the cause of bricks. I hope that by making it vague, noobs will say "I'll wait for something clearer". Best idea is wait a week or two until the new HackMii Installer is released.
     
  7. sfulla31
    OP

    sfulla31 Member

    Newcomer
    45
    0
    Nov 28, 2009
    BIRMINGHAM
    Ill do that mate, cheers, and I appreciate your impossible to follow instructions and your subsequent honesty [​IMG]........all the best mate, take it easy.
     
  8. M[u]ddy

    M[u]ddy GBAtemp Advanced Fan

    Member
    511
    47
    Sep 4, 2009
    Germany
    NRW
    I can confirm, that the method works. I didn't need to restore the trucha bug since I still had cIOS38 rev19 as IOS250, but everything else went fine.
    Don't forget that Priiloader installation needs a patched IOS36 as IOS36. If you choose to install it to IOS236 you have to install cIOS38 rev19 as IOS249.
     
  9. ocdetective

    ocdetective GBAtemp Advanced Fan

    Member
    601
    0
    Mar 19, 2008
    Malaysia
    Its a PAL wii so the only exploit option is Indiana Pwns - there is no PAL exploit for SmashStack
     
  10. Awesome turtwig

    Awesome turtwig GBAtemp Regular

    Member
    286
    0
    Sep 26, 2008
    United States
    USA
    My friend is try to hack his Wii. It's a virgin on V 4.3U. Now I got him to the part where you load a .elf file through the brawl stages, and nothing installs for him. We get to the GUI in hackmii, but it says it can't be installed, I tried the very basic homebrew channel installer, the one for the twilight hack, and it said tickets could not be installed... Any ideas guys?
     
  11. BBking83

    BBking83 GBAtemp Advanced Fan

    Member
    676
    4
    Oct 23, 2008
    Australia
    The HBC can't be installed on 4.3 yet. People are using IndyPwns/SmashStack to execute .dol/.elf HB apps.
     
  12. Awesome turtwig

    Awesome turtwig GBAtemp Regular

    Member
    286
    0
    Sep 26, 2008
    United States
    USA
    I see, that's unfortunate. Well I'll get him to install some cios if possible. Then whenever h needs to use the backup loader, he'll have to go through brawl first.
     
  13. xzxero

    xzxero ♥bong milk does good for the brain♥

    Member
    3,831
    28
    Jul 18, 2008
    United States
    SB
  14. Riley

    Riley GBAtemp Maniac

    Member
    1,123
    3
    Mar 9, 2009
    Canada
    BC Canada
    You can use this to patch IOS36, then use wad manager to install IOS34 v3348. Finally run the hackmii installer.

    4.3U - Smash Stack / lego indiana jones
    4.3E - Lego indiana jones
    4.3J - No exploit
    4.3K - No way to downgrade IOS
     
  15. Awesome turtwig

    Awesome turtwig GBAtemp Regular

    Member
    286
    0
    Sep 26, 2008
    United States
    USA
    Thanks man. I'll try it out.
     
  16. Awesome turtwig

    Awesome turtwig GBAtemp Regular

    Member
    286
    0
    Sep 26, 2008
    United States
    USA
    TBR give him a code dump eachtime he loads it up... Any ideas on how to fix it?
     
  17. Riley

    Riley GBAtemp Maniac

    Member
    1,123
    3
    Mar 9, 2009
    Canada
    BC Canada
    I think you can also use DOP-mii.
     
  18. tj_cool

    tj_cool Site dev

    Supervisor
    9,989
    -1
    Jan 7, 2009
    Belgium
    This planet
    No, because it doesn't allow you to choose what IOS to use for the downgrading/restoring/...
    And you need to use IOS41

    I had to re-create the Trucha Bug Restorer page in my guide for this even.
     
  19. Awesome turtwig

    Awesome turtwig GBAtemp Regular

    Member
    286
    0
    Sep 26, 2008
    United States
    USA
    So is there any solution right now?

    I read your guide at link tj, it asks for trucha... which again, does not work.
     
  20. BBking83

    BBking83 GBAtemp Advanced Fan

    Member
    676
    4
    Oct 23, 2008
    Australia
    Yeah, I know. Cheers.

    You'll also need Priiloader to disable JODI deletion.